plot.sme {sme} | R Documentation

## Visualisation of smoothing-splines mixed-effects models

### Description

A visualisation of the smoothing-splines mixed-effects model fit is obtained. For `type="model"`, a scatter plot of the observations overlaid with the fitted mean and (optionally) individual curves. Confidence limits for the mean curve can optionally also be shown. See `plot.sme.model` for further details. For `type="raw"`, a trellis plot of the raw data for each subject, with the fitted individual curves optionally overlaid. See `plot.sme.raw` for further details. For `type="diagnostic"`, a diagnostic plot of the model residuals. See `plot.sme.diagnostic` for further details.

### Usage

    ## S3 method for class 'sme'
    plot(x,type="model",...)

### Arguments

`x` | an object inheriting from class `sme`, representing a fitted smoothing-splines mixed-effects model
`type` | the type of plot desired, currently either `"model"` for visualising the model fit, `"raw"` for visualising the raw data or `"diagnostic"` for visualising the model residuals
`...` | further arguments to `plotSmeModel`, `plotSmeRaw` or `plotSmeDiagnostic`

### Value

Depending on `type`, either a plot of the fitted model, a plot of the raw data or a diagnostic plot of the model residuals

### Author(s)

Maurice Berk maurice@mauriceberk.com

### References

Berk, M. (2012). Smoothing-splines Mixed-effects Models in R. Preprint

### See Also

`plotSmeModel`, `plotSmeRaw`, `plotSmeDiagnostic`

### Examples

      data(MTB)
      fit <- sme(MTB[MTB$variable==6031,c("y","tme","ind")])
      plot(fit,type="model")
      plot(fit,type="raw")
      plot(fit,type="diagnostic")

[Package sme version 1.0.2 Index]